GET
/pipelines
https://azure.com/pipelinesLists all pipelines.
Access Token Required: API Key
Query Params
startDateTimestring
The start date for when to get the list of pipelines. The startDateTime and endDateTime can be no more than 30 days apart.
endDateTimestring
The end date for when to get the list of pipelines. The startDateTime and endDateTime can be no more than 30 days apart.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'https://azure.com/pipelines' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}